Get a list of allergy intolerances
get
/AllergyIntolerance
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves a list of allergy intolerances that meet the supplied query parameters.
Request
Query Parameters
-
_count: string
The maximum number of results per page.
-
_id: string
The logical resource ID.
-
_lastUpdated: string
The last updated date used to filter results.
-
_revinclude: string
The inclusion of related Provenance resources.Allowed Values:
[ "Provenance:target" ] -
clinical-status: string
The clinical status token used to filter results.
-
patient: string
The reference to a patient associated with the allergy intolerance.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
Successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
total: integer
-
type(required): string
Nested Schema : items
Type:
Show Source
object-
fullUrl: string
(uri)
-
resource: object
AllergyIntolerance
FHIR R4 AllergyIntolerance resource.
-
search: object
SearchForAllergyIntolerance
Nested Schema : AllergyIntolerance
Type:
objectFHIR R4 AllergyIntolerance resource.
Show Source
-
_onsetDateTime: object
PrimitiveElementForAllergyIntolerance
-
asserter: object
ReferenceForAllergyIntolerance
-
category: array
category
-
clinicalStatus: object
CodeableConcept
-
code: object
CodeableConcept
-
contained: array
contained
-
criticality: string
-
encounter: object
ReferenceForAllergyIntolerance
-
id(required): string
-
meta: object
meta
-
note: array
note
-
onsetDateTime: string
(date-time)
-
patient: object
ReferenceForAllergyIntolerance
-
reaction: array
reaction
-
recordedDate: string
(date-time)
-
recorder: object
ReferenceForAllergyIntolerance
-
resourceType(required): string
Allowed Values:
[ "AllergyIntolerance" ] -
text: object
Narrative
-
type: string
-
verificationStatus: object
CodeableConcept
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : ContainedRelatedPersonForAllergyIntolerance
Type:
Show Source
object-
id: string
-
patient: object
ReferenceForAllergyIntolerance
-
relationship: array
relationship
-
resourceType: string
Allowed Values:
[ "RelatedPerson" ]
Nested Schema : ContainedPractitionerRoleForAllergyIntolerance
Type:
Show Source
object-
code: array
code
-
id: string
-
resourceType: string
Allowed Values:
[ "PractitionerRole" ]
Nested Schema : BundleLinkForAllergyIntolerance
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ] -
url: string
(uri)
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source